For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a new adjustment
      • DELDelete an adjustment
      • GETRetrieve adjustments
      • GETRetrieve an adjustment
      • GETRetrieve categories
      • PATCHUpdate an adjustment
LogoLogo
SupportDeel Home
EndpointsAdjustments

Update an adjustment

PATCH
/adjustments/:id
PATCH
/rest/v2/adjustments/:id
$curl -X PATCH https://api.letsdeel.com/rest/v2/adjustments/5f4e1b2b-4b7b-4b7b-4b7b-4b7b4b7b4b7b \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data"
1{
2 "data": {
3 "updated": true
4 }
5}

Applies a partial update to an existing adjustment. Only fields included in the request body are modified; omitted fields retain their current values. Token scopes: adjustments:write

Was this page helpful?
Previous

Create a Global Payroll (GP) contract

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Deel adjustment id.

Request

Adjustment object that needs to be updated
dataobjectRequired
Details of adjustment to update

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication